#include "BehaviourOcto.h"
#include "Level.h"
#include "LD.h"



BehaviourOcto::BehaviourOcto()
{
  m_DistanceToWalk = 0;
  m_WalkDX = 0;
  m_WalkDY = 0;
  m_AnimPos = 0;
}



void BehaviourOcto::UpdateFixed( Level& Level, GameObject* pObj )
{

  m_AnimPos = ( ( m_AnimPos + 1 ) % 10 );

  pObj->m_TexSection = (LD::TextureTypes)( LD::TEX_OCTO_1 + m_AnimPos / 5 );

  if ( m_DistanceToWalk == 0 )
  {
    m_DistanceToWalk = 80 + rand() % 80;

    switch ( rand() % 5 )
    {
      case 0:
        m_WalkDX = 1;
        m_WalkDY = 0;
        break;
      case 1:
        m_WalkDX = -1;
        m_WalkDY = 0;
        break;
      case 2:
        m_WalkDX = 0;
        m_WalkDY = 1;
        break;
      case 3:
        m_WalkDX = 0;
        m_WalkDY = -1;
        break;
      case 4:
        m_WalkDX = 0;
        m_WalkDY = 0;
        break;
    }
  }
  else
  {
    Level.WalkObject( pObj, m_WalkDX, m_WalkDY );
    --m_DistanceToWalk;
  }

}



void BehaviourOcto::Update( Level& Level, float ElapsedTime, GameObject* pObj )
{
}



void BehaviourOcto::OnEvent( Level& Level, const std::string& Event, GameObject* pObj, GameObject* pOtherObject )
{

}