#pragma once

#include "behaviour.h"
#include "LDTypes.h"

#include <map>



class BehaviourPlayer : public Behaviour
{


  public:

    std::map<LD::ObjectType,int>      m_Items;

    int                               m_WeaponSwing;

    float                             m_LookAngle;

    GameObject*                       m_pWeapon;

    bool                              m_Frozen;

    LD::ObjectType                    m_CurWeapon;

    int                               m_DX;
    int                               m_DY;

    int                               m_AnimPos;

    int                               m_HP;
    int                               m_HPMax;


    BehaviourPlayer();


    virtual void    UpdateFixed( Level& Level, GameObject* pObj );
    virtual void    Update( Level& Level, float ElapsedTime, GameObject* pObj );

    virtual void    OnEvent( Level& Level, const std::string& Event, GameObject* pObj, GameObject* pOtherObject );

};
